/**
 * Tool plugin base.
 *
 * A base class for toolbar+ plugins.
 */
export class ToolPluginBase {
  init() {}

  /**
   * Enable the tool.
   */
  enable() {
    const topBar = document.querySelector('#' + this.id + '-top-bar');
    if (topBar) {
      topBar.classList.remove('toolbar-plus-hidden');
    }
  }

  /**
   * Disable the tool.
   *
   * @returns {Promise}
   */
  disable() {
    const topBar = document.querySelector('#' + this.id + '-top-bar');
    if (topBar) {
      topBar.classList.add('toolbar-plus-hidden');
    }
    return Promise.resolve();
  }
}
