(($, Drupal, once) => {

  /**
   * Refresh button.
   */
  Drupal.behaviors.ToolbarPlusRefresh = {
    attach: (context, settings) => {
      once('ToolbarPlusRefresh', '#toolbar-plus-refresh', context).forEach(refreshButton => {
        refreshButton.onclick = (e) => {
          location.reload();
        }
      });
    }
  };

  /**
   * Save button
   */
  Drupal.behaviors.ToolbarPlusSave = {
    attach: (context, settings) => {
      once('ToolbarPlusSave', '#toolbar-plus-save', context).forEach(saveButton => {

        saveButton.onclick = (e) => {
          // @todo Temporarily use the edit+ save controller.
          const entityWrapperId = document.querySelector('[data-toolbar-plus-entity-wrapper]').dataset.toolbarPlusEntityWrapper;
          const parts = entityWrapperId.split('::');

          window.location = Drupal.url('edit-plus/tempstore/save/' + parts[0] + '.' + parts[1]+ '?destination=' + window.location.pathname);
        }
      });
    }
  };

  /**
   * Discard changes button
   */
  Drupal.behaviors.ToolbarPlusDiscardChanges = {
    attach: (context, settings) => {
      once('ToolbarPlusDiscardChanges', '#toolbar-plus-discard-changes', context).forEach(discardChangesButton => {

        discardChangesButton.onclick = (e) => {
          // @todo Temporarily use the edit+ delete controller.
          const entityWrapperId = document.querySelector('[data-toolbar-plus-entity-wrapper]').dataset.toolbarPlusEntityWrapper;
          const parts = entityWrapperId.split('::');

          window.location = Drupal.url('edit-plus/tempstore/delete/' + parts[0] + '.' + parts[1]+ '?destination=' + window.location.pathname);
        }
      });
    }
  };

})(jQuery, Drupal, once);
